STILTS-CALC(1)

NAME
stilts-calc - Evaluates expressions

SYNOPSIS

stilts calc [expression=<expr>] [table=<table>]

DESCRIPTION

calc is a very simple utility for evaluating expressions. It uses the same expression evaluator as is used in tpipe and the other generic table tasks for things like creating new columns, so it can be used as a quick test to see what expressions work, or in order to evaluate expressions using the various algebraic functions documented in SUN/256. Since usually no table is involved, you can't refer to column names in the expressions. It has one mandatory parameter, the expression to evaluate, and writes the result to the screen.

OPTIONS

expression=<expr>
    An expression to evaluate. The functions in SUN/256 can be used.

table=<table>
    A table which provides the context within which expression is evaluated. This parameter is optional, and will usually not be required; its only purpose is to allow use of constant expressions (table parameters) associated with the table. These can be referenced using identifiers of the form param$*, ucd$* or utype$* - see SUN/256 for more detail.

SEE ALSO
stilts(1)

If the package stilts-doc is installed, the full documentation SUN/256 is available in HTML format:
file:///usr/share/doc/stilts/sun256/index.html

VERSION
STILTS version 3.5.2-debian

This is the Debian version of Stilts, which lack the support of some file formats and network protocols. For differences see
file:///usr/share/doc/stilts/README.Debian

AUTHOR
Mark Taylor (Bristol University)